AgentConnect
Agents

Get an assistant-mode agent’s item

Reads one ledger item with its team-visible summary and its newest observations, newest first. Anyone who can view the agent may read it.

GET
/v1/orgs/{orgId}/agents/{id}/assistant/items/{itemId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
itemId*string
Length1 <= length <= 512

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/orgs/string/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/assistant/items/string"
{  "id": "string",  "title": "string",  "status": "active",  "doneWhen": "string",  "nextCheck": "2019-08-24T14:15:22Z",  "origin": {    "platform": "string",    "channel": "string"  },  "places": [    {      "platform": "string",      "channel": "string"    }  ],  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "summary": "string",  "observations": [    {      "text": "string",      "at": "2019-08-24T14:15:22Z"    }  ]}